Summary: Locate and transfer automatically RPM using HTTP and an RDF database
Name: rpmfind
%define version 1.1
Version: %{version}
Release: 1
Group: Utilities/System
Source: ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
URL: http://rufus.w3.org/linux/rpm2html/rpmfind.html
Packager: Daniel Veillard <veillard@w3.org>
Copyright: W3C Copyright (BSD like).
BuildRoot: /tmp/rpmfind-root
Provides: rpmfind

%description
When rpmfind is asked for a resource it first asks the local RPM base,
and if it's not available, will request the associated RDF file on
a remote database. The result describes the various packages
providing these resources (distribution, vendor, version, date, etc...).

Based on that information, rpmfind sorts the various packages for
suitability.
Then it picks the first one and fetchs more complete information like
the dependancies required by this package. It then verifies that all
the dependencies needed by this package are available, and recusively
trys to locate RPM providing uninstalled resources.

At the end rpmfind shows the list of packages to fetch and the total
size needed on disk.

The database can be built using rpm2html.

%prep
%setup

%build
./configure --prefix=/usr --sysconfdir=/etc
make CFLAGS="-O"

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/doc
install rpmfind $RPM_BUILD_ROOT/usr/bin
install CHANGES BUGS Copyright README TODO $RPM_BUILD_ROOT/usr/doc

%files
%attr(-,root,root) %doc CHANGES BUGS Copyright README TODO 
%attr(-,root,root) /usr/bin/rpmfind

# end of file
